<?php

/* 
 * Obtiene datos de reposición
 */
$ruta = "../";
require_once "../class/c_login.php";

// check if the session is started
if (!isset($_SESSION['user']))
    die('No se ha iniciado sesión');

$user = unserialize($_SESSION['user']);


//--- Objeto para validar usuario. El id de usuario lo lee desde sesión
/*if(!$objSesion->tieneAcceso()){
    $return["error"] = "Error! No tienes permisos para realizar esta acción.";
}else*/ if(!isset($_POST["id"])){
    $return["error"] = "Error! No se recibió la información del profesor.";
}else{
    $id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);//limpia texto

    try{
        if($user->jefe_carrera){
            $rs = $db->query('SELECT * FROM fs_materiasprofesor(:id, :jefe)', [':id' => $id, ':jefe'=>$user->user["id"]] );
        }else{
            $rs = $db->query('SELECT * FROM fs_materiasprofesor(:id, NULL)', [':id' => $id] );
        }

    }catch(Exception $e){
        $return["error"] = "Ocurrió un error al leer los datos de las materias.";
        echo json_encode($return);
    }
    
    $mat_arr = array();
    foreach($rs as $m){
        $mat_arr[] = array("horario_id"=>$m["horario_id"], "horario_dia"=>$m["horario_dia"],
            "horario_hora"=>substr($m["horario_hora"], 0, 2), "horario_min"=>substr($m["horario_hora"], 3, 2),
            "materia_nombre"=>$m["materia_nombre"].' - '.$m["horario_dia_nombre"]." ".substr($m["horario_hora"], 0, -3),
            "grupo"=>$m["horario_grupo"], "duracion" => $m["duracion"]
        );
    }

    $return["materias"] = $mat_arr;

}
echo json_encode($return);
?>
